// Written by TeTeT for Nimitz

ttt_fnc_taxi = {
	{
		private _taxi = _x;
		private _speed = _taxi getVariable ['ttt_speed', 5];
		private _dir = _taxi getVariable ['ttt_dir', 0];
		private _dist = _taxi getVariable ['ttt_distance', true];
		private _dirAdjust = _taxi getVariable ['ttt_dirAdjust', 100];
		if ([] call _dist) then {
			if (_dirAdjust != 0) then {
				_taxi setVelocityModelSpace [0, _speed, 0];
				_taxi setVariable ["ttt_dirAdjust", _dirAdjust - 1];
			} else {
				// systemChat 'Adjusting dir';
				_taxi setDir ([] call _dir);
				_taxi setVariable ["ttt_dirAdjust", 100];
			};
		} else {
			_taxi setVelocityModelSpace [0,0,0];
			ttt_taxis = ttt_taxis - [_taxi];
		};

	} forEach ttt_taxis;
};

ttt_taxis = [];
private _handle = addMissionEventHandler ["EachFrame",{[] call ttt_fnc_taxi;}];


[] spawn {
	cat2 = (Nimitz getVariable "nimspots") modelToWorld ((Nimitz getVariable "nimspots") selectionPosition "C2");
	// Setup waypoints
	wp1 = u1 getPos [12, getDir u1];
	wp2 = f1 getPos [12, getDir f1];
	wp3 = cat2 getPos [40, getDir Nimitz - 180];
	wp4 = "Land_HelipadEmpty_F" createVehicle (cat2 getPos [14, getDir Nimitz]);
	wp5 = wp4 getPos [30, getDir Nimitz + 90];

	u1 setVariable ['ttt_speed', 5];
	u1 setVariable ['ttt_dir', {getDir u1}];
	u1 setVariable ['ttt_distance', {u1 distance2d wp1 > 1}];
	ttt_taxis pushBackUnique u1;
	waitUntil {u1 distance2d wp1 <= 1};

	while {abs((getDir u1) - (u1 getDir wp2)) > 1} do {
		u1 setDir ((getDir u1) + 0.2);
		sleep 0.01;
	};
	u1 setDir (u1 getDir wp2);

	u1 setVariable ['ttt_speed', 5];
	u1 setVariable ['ttt_dir', {u1 getDir wp2}];
	u1 setVariable ['ttt_distance', {u1 distance2d wp2 > 1}];
	ttt_taxis pushBackUnique u1;
	waitUntil {u1 distance2d wp2 <= 1};

	while {abs((getDir u1) - (getDir f1)) > 1} do {
		u1 setDir ((getDir u1) - 0.2);
		sleep 0.01;
	};
	u1 setDir (getDir f1);
	sleep 1;
	[u1] call LESH_towing_fnc_checkTowable;
	[u1, f1] call LESH_towing_fnc_tow;

	u1 setVariable ['ttt_speed', 2];
	u1 setVariable ['ttt_dir', {u1 getDir wp3}];
	u1 setVariable ['ttt_distance', {u1 distance2d wp3 > 1}];
	ttt_taxis pushBackUnique u1;
	waitUntil {u1 distance2d wp3 <= 1};

	while {abs((getDir u1) - (u1 getDir wp4)) > 1} do {
		u1 setDir ((getDir u1) + 0.2);
		sleep 0.01;
	};
	u1 setDir (u1 getDir wp4);

	u1 setVariable ['ttt_speed', 2];
	u1 setVariable ['ttt_dir', {u1 getDir wp4}];
	u1 setVariable ['ttt_distance', {u1 distance2d wp4 > 1}];
	ttt_taxis pushBackUnique u1;
	waitUntil {u1 distance2d wp4 <= 1};

	[u1] call LESH_towing_fnc_Detach;
	sleep 1;

	while {abs((getDir u1) - (u1 getDir wp5)) > 1} do {
		u1 setDir ((getDir u1) + 0.2);
		sleep 0.01;
	};
	u1 setDir (u1 getDir wp5);
	f1 animate ["l_wingfold", 0];
	f1 animate ["r_wingfold", 0];

	u1 setVariable ['ttt_speed', 2];
	u1 setVariable ['ttt_dir', {u1 getDir wp5}];
	u1 setVariable ['ttt_distance', {u1 distance2d wp5 > 1}];
	ttt_taxis pushBackUnique u1;
	waitUntil {u1 distance2d wp5 <= 1};

	[Nimitz, f1, 2] call ttt_fnc_planeStart;

};

[u2] spawn {
	cat3 = (Nimitz getVariable "nimspots") modelToWorld ((Nimitz getVariable "nimspots") selectionPosition "C3");

};